net.sourceforge.pmd.symboltable

## Class STBBaseTst

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst

Direct Known Subclasses:
  AcceptanceTest, ClassScopeTest, GlobalScopeTest, LocalScopeTest, MethodNameDeclarationTest, MethodScopeTest, NameOccurrencesTest, ScopeCreationVisitorTest, SourceFileScopeTest, VariableNameDeclarationTest

    public abstract class STBBaseTst
    extends Object

### Field Summary

Fields
`protected ASTCompilationUnit` `acu`
`protected SymbolFacade` `stb`

### Constructor Summary

Constructors
Constructor and Description
`STBBaseTst()`

### Method Summary

Methods
`protected void` `parseCode(String code)`
`protected void` `parseCode(String code, LanguageVersion languageVersion)`
`protected void` `parseCode15(String code)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### acu

    protected ASTCompilationUnit acu

#### stb

    protected SymbolFacade stb

### Constructor Detail

#### STBBaseTst

    public STBBaseTst()

### Method Detail

#### parseCode

    protected void parseCode(String code)

#### parseCode15

    protected void parseCode15(String code)

#### parseCode

    protected void parseCode(String code,
                 LanguageVersion languageVersion)